import helloml


# Grab pyproject's version
def get_project_version():
    ret = None
    poetry_path = 'pyproject.toml'

    with open(poetry_path, 'r') as fin:
        txt_lines = fin.readlines()

        for ln in txt_lines:
            if ln[0:10] == 'version = ':
                ret = ln[11:-2]
                break

    return(ret)


def test_pyproject_version():
    mdl = helloml.Model()

    assert mdl.get_version() == get_project_version()
