import numpy as np
from sklearn.model_selection import train_test_split

DATA_SIZE = 100

def get_data():
    ret_data = {}
    ret_data['X'] = np.random.normal(size=(DATA_SIZE, 2))
    ret_data['y'] = 2*ret_data['X'][:, 0] + 3*ret_data['X'][:, 1] + np.random.normal(0, 0.1, size=(DATA_SIZE, 1))
    return(ret_data)


def split_data(data):
    ret_split = {}
    ret_split['X_train'], ret_split['X_test'], ret_split['y_train'], ret_split['y_test'] = train_test_split(
        data['X'], data['y'], test_size=0.3, random_state=123)
    return(ret_split)
